import 'package:flutter/cupertino.dart';
import 'package:tencent_im_base/base_widgets/tim_callback.dart';

abstract class TIMStatelessWidget extends StatelessWidget {
  const TIMStatelessWidget({Key? key}) : super(key: key);


  void onTIMCallback(TIMCallback callbackValue){
    // 请override这个函数来承接onError回调
  }

  @override
  Widget build(BuildContext context) {

    final onFlutterError = FlutterError.onError;
    FlutterError.onError = (FlutterErrorDetails details) {
      onFlutterError?.call(details);
      FlutterError.dumpErrorToConsole(details);
      onTIMCallback(TIMCallback(type: TIMCallbackType.FLUTTER_ERROR, stackTrace: details.stack, errorMsg: "Error from Flutter"));
    };

    return timBuild(context);
  }

  // 请override这个方法来render界面
  Widget timBuild(BuildContext context);
}
